View Issue Details

IDProjectCategoryView StatusLast Update
0022062LazarusIDEpublic2012-05-21 15:32
ReporterbarloneAssigned ToMaxim Ganetsky 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0022062: [patch] change -Op386 to -Op80386 in code generation options
DescriptionIn project options/code generation -Op386 option is wrong, need to change to -Op80386
TagsNo tags attached.
Fixed in Revision37327
LazTarget-
Widgetset
Attached Files
  • compiler_codegen_options.pas.patch (884 bytes)
    Index: compiler_codegen_options.pas
    ===================================================================
    --- compiler_codegen_options.pas	(revision 37211)
    +++ compiler_codegen_options.pas	(working copy)
    @@ -70,7 +70,7 @@
     function ProcessorToCaption(const Processor: string): string;
     begin
       if SysUtils.CompareText(Processor, '386') = 0 then
    -    Result := '386/486' + ' (-Op386)'
    +    Result := '386/486 (-Op80386)'
       else if SysUtils.CompareText(Processor, 'pentium') = 0 then
         Result := 'Pentium/Pentium MMX (-OpPENTIUM)'
       else if SysUtils.CompareText(Processor, 'pentium2') = 0 then
    @@ -87,7 +87,7 @@
     
     function CaptionToProcessor(const Caption: string): string;
     begin
    -  if System.Pos('-Op386', Caption) > 0 then
    +  if System.Pos('-Op80386', Caption) > 0 then
         Result := '386'
       else if System.Pos('-OpPENTIUMM', Caption) > 0 then
         Result := 'pentiumm'
    

Activities

2012-05-18 13:51

 

compiler_codegen_options.pas.patch (884 bytes)
Index: compiler_codegen_options.pas
===================================================================
--- compiler_codegen_options.pas	(revision 37211)
+++ compiler_codegen_options.pas	(working copy)
@@ -70,7 +70,7 @@
 function ProcessorToCaption(const Processor: string): string;
 begin
   if SysUtils.CompareText(Processor, '386') = 0 then
-    Result := '386/486' + ' (-Op386)'
+    Result := '386/486 (-Op80386)'
   else if SysUtils.CompareText(Processor, 'pentium') = 0 then
     Result := 'Pentium/Pentium MMX (-OpPENTIUM)'
   else if SysUtils.CompareText(Processor, 'pentium2') = 0 then
@@ -87,7 +87,7 @@
 
 function CaptionToProcessor(const Caption: string): string;
 begin
-  if System.Pos('-Op386', Caption) > 0 then
+  if System.Pos('-Op80386', Caption) > 0 then
     Result := '386'
   else if System.Pos('-OpPENTIUMM', Caption) > 0 then
     Result := 'pentiumm'

Maxim Ganetsky

2012-05-19 01:45

developer   ~0059717

Last edited: 2012-05-19 01:45

Applied with some minor changes, thanks.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2012-05-18 13:51 barlone New Issue
2012-05-18 13:51 barlone File Added: compiler_codegen_options.pas.patch
2012-05-19 01:45 Maxim Ganetsky Fixed in Revision => 37327
2012-05-19 01:45 Maxim Ganetsky LazTarget => -
2012-05-19 01:45 Maxim Ganetsky Status new => resolved
2012-05-19 01:45 Maxim Ganetsky Fixed in Version => 1.1 (SVN)
2012-05-19 01:45 Maxim Ganetsky Resolution open => fixed
2012-05-19 01:45 Maxim Ganetsky Assigned To => Maxim Ganetsky
2012-05-19 01:45 Maxim Ganetsky Note Added: 0059717
2012-05-19 01:45 Maxim Ganetsky Note Edited: 0059717
2012-05-21 15:32 barlone Status resolved => closed